<script>
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
/**
 * Edits the returned Cognos HTML to remove unnecessary/incompatible code and make other changes required
 * to host the prompt HTML inside of CLM.
 */
function editForm() {
	var fW = (typeof getFormWarpRequest == "function" ? getFormWarpRequest() : document.forms["formWarpRequest"]);

    //the HTML returned by Cognos sets a "base" attribute in the head that points to the Cognos server.  This is bad for
    //links whose href is set to "#", because clicking on them will send you to the Cognos server, instead of doing what was
    //intended, and staying put while performing the onclick.  The correct fix for this is really to stop the event propagation in the
    //link's onclick handler, but since we don't have access to that, we'll put this workaround in instead.
	var links = fW.getElementsByTagName("A");
	for (var i=0; i<links.length; i++) {         
		//use getAttribute instead of just href because getAttribute will give you back the raw value
		if (links[i].getAttribute('href') == "#") {
			links[i].href = 'javascript:void(0)';
		}
	}
}

editForm();
</script>