@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011, 2013. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem File for messages displayed by the upgrade automated scripts.
rem
rem ################################################################################

setlocal
set TAB=
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Initial verification messages *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo F\ufffdr das Upgrade sind Administratorrechte erforderlich.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=
echo.
echo F\ufffdhren Sie das Script Anwendung_upgrade nicht direkt aus. F\ufffdhren Sie f\ufffdr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Das Script %2 muss im Verzeichnis %3 ausgef\ufffdhrt werden, au\ufffder Sie verwenden den Parameter -help.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Die Datei '%2' enth\ufffdlt die Parameterwerte f\ufffdr das Upgrade-Script.
echo Falls Sie Standardparameterwerte modifizieren m\ufffdssen, k\ufffdnnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente f\ufffdr die Upgrade-Scripts angeben.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Die Standardparameterwerte f\ufffdr ein Anwendungsupgrade oder ein JTS-Upgrade sind in folgenden Dateien enthalten. Falls Sie Standardparameterwerte modifizieren m\ufffdssen, k\ufffdnnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente f\ufffdr die Upgrade-Scripts angeben.
echo %TAB%- CCM-Upgrade: "%2params\ccm_params%3.bat"
echo %TAB%- QM-Upgrade:  "%2params\qm_params%3.bat"
echo %TAB%- RM-Upgrade:  "%2params\rm_params%3.bat"
echo %TAB%- JTS-Upgrade: "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Parameters verification messages *
REM ************************************

REM Intrinsic verification
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Es wurde kein JTS oder Anwendungstyp angegeben. F\ufffdhren Sie f\ufffdr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2  ist kein g\ufffdltiger JTS oder Anwendungstyp. F\ufffdhren Sie f\ufffdr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Fehlender Wert f\ufffdr den Parameter %2
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Das f\ufffdr den Parameter %2 angegebene Verzeichnis %3 ist nicht vorhanden oder ung\ufffdltig.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Das f\ufffdr den Parameter %2 angegebene Verzeichnis %3 muss ein absoluter Pfad sein.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Die f\ufffdr den Parameter %2 angegebene Datei %3 ist nicht vorhanden oder ung\ufffdltig.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 ist ein ung\ufffdltiger Wert f\ufffdr den Parameter %2.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 ist ein unbekannter Parameter.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM Extrinsic verification
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Fehlender Parameter %2 f\ufffdr das Ausgangsverzeichnis
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Das Verzeichnis %2 ist nicht vorhanden oder ung\ufffdltig.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Der repotools-Befehl '%2' f\ufffdr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Der repotools-Befehl '%2' f\ufffdr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Der repotools-Befehl '%2' f\ufffdr die Anwendung wurde nicht gefunden. 
echo.
echo Stellen Sie sicher, dass der Parameter -newApplicationHome ('%3') auf das neue Serverkonfigurationsverzeichnis der Anwendung zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo Falls Sie ein Upgrade f\ufffdr ein fr\ufffdheres Release durchf\ufffdhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgew\ufffdhlt haben. Bei Verwendung des Installation Manager m\ufffdssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option f\ufffdr das %5-Kontextstammverzeichnis ausw\ufffdhlen. Sollten Sie versehentlich eine andere Option ausgew\ufffdhlt haben, m\ufffdssen Sie das Produkt mit der Option f\ufffdr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newApplicationHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo Falls Sie ein Upgrade f\ufffdr ein fr\ufffdheres Release durchf\ufffdhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgew\ufffdhlt haben. Bei Verwendung des Installation Manager m\ufffdssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option f\ufffdr das %5-Kontextstammverzeichnis ausw\ufffdhlen. Sollten Sie versehentlich eine andere Option ausgew\ufffdhlt haben, m\ufffdssen Sie das Produkt mit der Option f\ufffdr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Der repotools-Befehl '%2' f\ufffdr JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldJTSHome ('%3') auf das alte JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldJTSHome ('%3') auf das alte JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Der repotools-Befehl '%2' f\ufffdr JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newJTSHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newJTSHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter '%4' f\ufffdr das JTS-Kontextstammverzeichnis korrekt ist.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo F\ufffdr ein Upgrade von %2 ist eine TAR-Datei mit 2.x-Daten erforderlich.
echo Mit -help k\ufffdnnen Sie eine vollst\ufffdndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM **********************
REM * Execution messages *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===    JTS-Upgrade    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===    CCM-Upgrade    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===    QM-Upgrade    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===    RM-Upgrade    ===
echo ============================================
echo.
goto LBLEND


REM *********************
REM * First step switch *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo Letzte Ausf\ufffdhrung beim ersten Schritt fehlgeschlagen
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo Letzte Ausf\ufffdhrung bei Schritt %2 fehlgeschlagen
echo Soll das Upgrade bei diesem oder einem fr\ufffdheren Schritt neu gestartet werden? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo Das Upgrade wurde bereits durchgef\ufffdhrt und erfolgreich beendet.
echo Soll ein neues Upgrade bei einem bestimmten Schritt gestartet werden? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo Letzte Ausf\ufffdhrung bei Schritt %2 erfolgreich gestoppt
echo Soll das Upgrade bei Schritt %3 oder einem fr\ufffdheren Schritt neu gestartet werden? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Geben Sie die Nummer des Schrittes [%2-%3] ein, bei dem das Upgrade neu gestartet werden soll, oder brechen Sie mit [Eingabetaste] ab.
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' ist keine Zahl. Geben Sie eine g\ufffdltige Schrittnummer ein.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' ist eine ung\ufffdltige Schrittnummer. Geben Sie eine g\ufffdltige Schrittnummer ein.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Der letzte Schritt ist Schritt %2, sodass das Upgrade nicht bei Schritt %3 neu gestartet werden kann.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Schritt %2 wurde noch nicht ausgef\ufffdhrt, sodass Sie das Upgrade nicht bei Schritt %3 neu starten k\ufffdnnen.
goto LBLEND


REM **********************
REM * Messages for Steps *
REM **********************

:LBLMSG_STEP_0
echo Schritt 0: Konfigurationsdateien aktualisieren
echo -----------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Schritt 1: Tabellen hinzuf\ufffdgen
echo ------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Schritt 2: Upgrade f\ufffdr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Schritt 3: Upgrade f\ufffdr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Schritt %2: Textindizes neu erstellen
echo --------------------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo Das %2-Upgrade ist bei Schritt %3 fehlgeschlagen. L\ufffdsen Sie das Problem. F\ufffdhren Sie das Script dann erneut ab Schritt %3 aus.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo Das %2-Upgrade war erfolgreich. Sie k\ufffdnnen jetzt ein Upgrade f\ufffdr alle Anwendungen in Ihrer Umgebung durchf\ufffdhren.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo Der Offlineabschnitt des RM-Upgrades war erfolgreich. M\ufffdglicherweise ist noch eine Onlinemigration notwendig. Ist das der Fall, wird Jazz Team Server vom Neustart der Anwendung RM bis zur Beendigung des Onlinemigrationsassistenten in den Nur-Lese-Modus versetzt. Starten Sie den Server und \ufffdffnen Sie Ihren Browser. L\ufffdschen Sie den Inhalt des Browsercache und navigieren Sie um RM-Webclient. Geben Sie den Servernamen und den Port im folgenden URL an: https://Hostname.example.com:Port/rm/web/projects/migration. Der Standard-Port ist 9443. Starten Sie den Onlinemigrationsassistenten und folgen Sie den Anweisungen des Asssistenten.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo Das %2-Upgrade war erfolgreich. Jetzt k\ufffdnnen Sie die Server Ihrer Implementierung starten.
echo.
goto LBLEND

REM *******************************
REM * Messages while running step *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Verzeichnis: %2
echo Befehl:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Geben Sie [E] f\ufffdr die Ausf\ufffdhrung dieses Schritts oder [S] zum \ufffdberspringen ein oder brechen Sie die Script-Ausf\ufffdhrung mit [Eingabetaste] ab.
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' ist eine ung\ufffdltige Eingabe. Erlaubt sind nur 'E', 'S' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Ein Notizblockeditor wird ge\ufffdffnet, in dem Sie die Datei teamserver.properties von %2 \ufffdberpr\ufffdfen k\ufffdnnen.
echo Pr\ufffdfen Sie, ob das von der Eigenschaft com.ibm.team.repository.server.webapp.url angegebene Stammelement des \ufffdffentlichen URI stimmt.
echo Pr\ufffdfen Sie, ob die Datenbankeigenschaften korrekt sind.
echo Speichern Sie ggf. vorgenommene \ufffdnderungen. Schlie\ufffden Sie dann den Editor und fahren Sie mit der Script-Ausf\ufffdhrung fort.
echo.
echo Lesen Sie im Artikel 'Upgrade f\ufffdr die Rational-L\ufffdsung f\ufffdr CLM durchf\ufffdhren' des Infocenter nach,
echo wie die einzelnen Eigenschaften ordnungsgem\ufffd\ufffd konfiguriert werden.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Geben Sie C ein, um die Ausf\ufffdhrung fortzusetzen, oder dr\ufffdcken Sie die Eingabetaste, um die Script-Ausf\ufffdhrung abzubrechen.
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' ist eine ung\ufffdltige Eingabe. Erlaubt ist nur 'C' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Die Textindizes konnten nicht von '%2' in '%3' kopiert werden. echo \ufffdberpr\ufffdfen Sie die Eigenschaft com.ibm.team.fulltext.indexLocation,
echo die in der Datei teamserver.properties definiert ist.
echo Kopieren Sie die Textindizes manuell in dieses Verzeichnis oder f\ufffdhren
echo Sie repotools -rebuildTextIndices aus, um die Indizes neu zu erstellen.
echo.
goto LBLEND

REM *****************************************
REM * Messages for Public URIs verification *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Kein \ufffdffentlicher URI definiert in
echo %3.
echo Das Upgrade kann somit nicht gestartet werden.
echo.
echo Diese Datei muss einen wie folgt definierten \ufffdffentlichen URI enthalten:
echo https\://Hostname.example.com\:Port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft com.ibm.team.repository.server.webapp.url f\ufffdr den \ufffdffentlichen URI muss in der Datei teamserver.properties enthalten sein.
echo F\ufffdgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie f\ufffdr alle Clients fest, dass der Wert
echo der Eigenschaft als URI-Stammelement f\ufffdr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des \ufffdffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem\ufffd\ufffd funktioniert. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade m\ufffdglich. 
echo Weitere Informationen enth\ufffdlt der Artikel 'URIs planen' im Infocenter.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Alle \ufffdffentlichen URIs, die in
echo %3 definiert sind, sind auf Kommentar
echo gesetzt, sodass das Upgrade nicht gestartet werden kann.
echo.
echo Diese Datei muss einen wie folgt definierten \ufffdffentlichen URI enthalten,
echo der nicht auf Kommentar gesetzt ist:
echo https\://Hostname.example.com\:Port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft com.ibm.team.repository.server.webapp.url f\ufffdr den \ufffdffentlichen URI muss in der Datei teamserver.properties enthalten sein.
echo F\ufffdgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie f\ufffdr alle Clients fest, dass der Wert
echo der Eigenschaft als URI-Stammelement f\ufffdr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des \ufffdffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem\ufffd\ufffd funktioniert. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade m\ufffdglich.
echo Weitere Informationen enth\ufffdlt der Artikel 'URIs planen' im Infocenter.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo Das Kontextstammverzeichnis von JTS ist auf '%2' gesetzt.
echo Das Kontextstammverzeichnis der Anwendung ist auf '%3' gesetzt.
echo Das Kontextstammverzeichnis von JTS darf nicht dasselbe wie das der Anwendung sein.
echo.
goto LBLEND

:LBLEND
endlocal
