@echo off
rem *******************************************************************************
rem  Lizenzmaterial - Eigentum der IBM
rem  (c) Copyright IBM Corporation 2006, 2013. Alle Rechte vorbehalten.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem\ufffd\ufffd den Parametern und Standard-
REM # werten im Script ccm_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausf\ufffdhrung des Scripts
REM # ccm_upgrade.bat gelesen. Pro g\ufffdltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer k\ufffdnnen den Standardwert modifizieren und das
REM # Script ccm_upgrade.bat mit eigenen Werten starten. Die
REM # Parameter und ihre Werte m\ufffdssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen m\ufffdssen f\ufffdr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgf\ufffdltig den zugeh\ufffdrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldApplicationHome
rem Syntax: -oldApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem  Vollst\ufffdndiger Pfad zum Ausgangsverzeichnis f\ufffdr Anwendungen
rem  in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B. D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parameter: -applicationContextRoot
rem  Syntax: -applicationContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis der Anwendung
rem Standardwert:
rem 	ccm
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set APPLICATION_CONTEXT_ROOT=

rem Parameter: -oldApplicationVersion
rem Syntax: -oldApplicationVersion <Version>
rem Beschreibung:
rem     Die CCM-Version, f\ufffdr die das Upgrade durchgef\ufffdhrt wird. Standardm\ufffd\ufffdig wird
rem     die Version mit repotools -version f\ufffdr die alte Anwendung ermittelt.
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Es sollte sich um eine vollst\ufffdndige Versionszeichenfolge handeln,
rem    z. B. 3.0.0 oder 3.0.1.
rem
set OLD_APPLICATION_VERSION=

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert
rem  werden sollen.
rem Standardwert:
rem 	yes
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parameter: -oldTomcatHome
rem Syntax: -oldTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollst\ufffdndiger Pfad zum Tomcat-Stammverzeichnis in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_TOMCAT_HOME=

rem Parameter: -newApplicationHome
rem Syntax: -newApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Ausgangsverzeichnis f\ufffdr Anwendungen in der neuen Installation
rem Standardwert:
rem 	conf
rem Einschr\ufffdnkungen:
rem  - Nur f\ufffdr RTC-, QM- und RM-Upgrades akzeptiert und
rem    in diesen F\ufffdllen ein obligatorischer Parameter
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B. D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum JTS-Konfigurationsverzeichnis des von der neuen Installation verwendeten JTS
rem Standardwert:
rem  Ausgangsverzeichnis der neuen Anwendung
rem Einschr\ufffdnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet.
rem
set NEW_JTS_HOME=

rem Parameter: -jtsContextRoot
rem Syntax: -jtsContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis von JTS
rem Standardwert:
rem 	jts
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -newApplicationTomcatHome
rem Syntax: -newApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis f\ufffdr Anwendungen in der neuen Installation
rem Standardwert:
rem 	<ohne>
rem
set NEW_TOMCAT_HOME=

rem Parameter: -newJTSTomcatHome
rem Syntax: -newJTSTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis f\ufffdr den von der neuen Installation verwendeten JTS
rem Standardwert:
rem 	<ohne>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Beim Erstellen oder Modifizieren der Tabellen keine Best\ufffdtigung anfordern
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind eine leere Zeichenfolge und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Keine Verifizierung f\ufffdr Team-Server-Eigenschaftendateien durchf\ufffdhren
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur eine leere Zeichenfolge und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -overwrite
rem Syntax: -overwrite
rem Beschreibung:
rem 	Angabe, ob vorhandene Dateien \ufffdberschrieben werden sollen
rem Standardwert:
rem 	no
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur eine leere Zeichenfolge und 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Keine Best\ufffdtigung f\ufffdr die Ausf\ufffdhrung eines Schrittes anfordern
rem Standardwert:
rem 	false
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
