@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem\ufffd\ufffd den Parametern und Standard-
REM # werten im Script jts_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausf\ufffdhrung des Scripts
REM # jts_upgrade.bat gelesen. Pro g\ufffdltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer k\ufffdnnen den Standardwert modifizieren und das
REM # Script jts_upgrade.bat mit eigenen Werten starten. Die
REM # Parameter und ihre Werte m\ufffdssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen m\ufffdssen f\ufffdr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgf\ufffdltig den zugeh\ufffdrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldJTSHome
rem Syntax: -oldJTSHome <Verzeichnispfad>
rem Beschreibung:
rem  Vollst\ufffdndiger Pfad zum JTS-Ausgangsverzeichnis in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, dass mit 'server\conf' endet.
rem  - Nur f\ufffdr RM- und JTS-Upgrades g\ufffdltig
rem
set OLD_JTS_HOME=

rem Parameter: -jtsContextRoot
rem Syntax: -jtsContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	JTS-Kontextstammverzeichnis
rem Standardwert:
rem 	jts
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -lpaContextRoot
rem Syntax: -lpaContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	LPA-Kontextstammverzeichnis
rem Standardwert:
rem 	admin
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname (ohne vorangestellten Schr\ufffdgstrich) sein.
rem
set LPA_CONTEXT_ROOT=admin

rem Parameter: -oldJTSVersion
rem Syntax: -oldJTSVersion <Version>
rem Beschreibung:
rem     Die JTS-Version, f\ufffdr die das Upgrade durchgef\ufffdhrt wird. Standardm\ufffd\ufffdig wird
rem     die Version mit repotools -version f\ufffdr den alten JTS ermittelt.
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Es sollte sich um eine vollst\ufffdndige Versionszeichenfolge handeln,
rem    z. B. 3.0.0 oder 3.0.1.
rem
set OLD_JTS_VERSION=

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert
rem  werden sollen.
rem Standardwert:
rem 	yes
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parameter: -oldTomcatHome
rem Syntax: -oldTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollst\ufffdndiger Pfad zum Tomcat-Stammverzeichnis in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_TOMCAT_HOME=

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum JTS-Konfigurationsverzeichnis der neuen Installation
rem Standardwert:
rem 	conf
rem Einschr\ufffdnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parameter: -newTomcatHome
rem Syntax: -newTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Ausgangsverzeichnis der neuen Installation
rem Standardwert:
rem 	<ohne>
rem
set NEW_TOMCAT_HOME=

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Beim Erstellen oder Modifizieren der Tabellen keine Best\ufffdtigung anfordern
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind eine leere Zeichenfolge und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Keine Verifizierung f\ufffdr Team-Server-Eigenschaftendateien durchf\ufffdhren
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur eine leere Zeichenfolge und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -overwrite
rem Syntax: -overwrite
rem Beschreibung:
rem 	Angabe, ob vorhandene Dateien \ufffdberschrieben werden sollen
rem Standardwert:
rem 	no
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur eine leere Zeichenfolge und 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Keine Best\ufffdtigung f\ufffdr die Ausf\ufffdhrung eines Schrittes anfordern
rem Standardwert:
rem 	false
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
