@echo off
rem *******************************************************************************
rem  Lizenzmaterial - Eigentum der IBM
rem  (c) Copyright IBM Corporation 2006, 2013. Alle Rechte vorbehalten.
rem
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem\ufffd\ufffd den Parametern und Standard-
REM # werten im Script rm_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausf\ufffdhrung des Scripts
REM # rm_upgrade.bat gelesen. Pro g\ufffdltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer k\ufffdnnen den Standardwert modifizieren und das
REM # Script rm_upgrade.bat mit eigenen Werten starten. Die
REM # Parameter und ihre Werte m\ufffdssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen m\ufffdssen f\ufffdr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgf\ufffdltig den zugeh\ufffdrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldApplicationHome
rem Syntax: -oldApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem  Vollst\ufffdndiger Pfad zum Ausgangsverzeichnis f\ufffdr Anwendungen
rem  in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B. D:\Jazz\IBM\RRC_3.x\jazz\server\conf.
rem
set OLD_APPLICATION_HOME=

rem Parameter: -applicationContextRoot
rem  Syntax: -applicationContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis der Anwendung
rem Standardwert:
rem 	rm
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set APPLICATION_CONTEXT_ROOT=

rem Parameter: -oldJTSHome
rem Syntax: -oldJTSHome <Verzeichnispfad>
rem Beschreibung:
rem  Vollst\ufffdndiger Pfad zum JTS-Ausgangsverzeichnis in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, dass mit 'server\conf' endet.
rem  - Nur f\ufffdr RM- und JTS-Upgrades g\ufffdltig
rem
set OLD_JTS_HOME=

rem Parameter: -oldJTSContextRoot
rem Syntax: -oldJTSContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	JTS-Kontextstammverzeichnis
rem Standardwert:
rem 	jts
rem Einschr\ufffdnkungen:
rem  - Nur bei einem RM-Upgrade akzeptiert
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set OLD_JTS_CONTEXT_ROOT=

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert
rem  werden sollen.
rem Standardwert:
rem 	yes
rem Einschr\ufffdnkungen:
rem  - G\ufffdltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parameter: -oldApplicationTomcatHome
rem Syntax: -oldApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollst\ufffdndiger Pfad zum Tomcat-Stammverzeichnis f\ufffdr Anwendungen
rem  in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Nur f\ufffdr RM-Upgrades akzeptiert
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_TOMCAT_HOME=

rem Parameter: -oldJTSTomcatHome
rem Syntax: -oldJTSTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollst\ufffdndiger Pfad zum Tomcat-Stammverzeichnis f\ufffdr JTS in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Nur f\ufffdr RM-Upgrades akzeptiert
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_JTS_TOMCAT_HOME=

rem Parameter: -newApplicationHome
rem Syntax: -newApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Ausgangsverzeichnis f\ufffdr Anwendungen in der neuen Installation
rem Standardwert:
rem 	conf
rem Einschr\ufffdnkungen:
rem  - Nur f\ufffdr RTC-, QM- und RM-Upgrades akzeptiert und
rem    in diesen F\ufffdllen ein obligatorischer Parameter
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B. D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf.
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollst\ufffdndiger Pfad zum JTS-Ausgangsverzeichnis des von der neuen Installation verwendeten JTS
rem Standardwert:
rem  Ausgangsverzeichnis der neuen Anwendung
rem Einschr\ufffdnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet.
rem
set NEW_JTS_HOME=

rem Parameter: -newJTSContextRoot
rem Syntax: -newJTSContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis von JTS
rem Standardwert:
rem 	jts
rem Einschr\ufffdnkungen:
rem  - <Stammverzeichnis> muss ein g\ufffdltiger Verzeichnisname
rem    ohne vorangestellten Schr\ufffdgstrich sein.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -newApplicationTomcatHome
rem Syntax: -newApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis f\ufffdr Anwendungen in der neuen Installation
rem Standardwert:
rem 	<ohne>
rem
set NEW_TOMCAT_HOME=

rem Parameter: -newJTSTomcatHome
rem Syntax: -newJTSTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis f\ufffdr den von der neuen Installation verwendeten JTS
rem Standardwert:
rem 	<ohne>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Beim Ausf\ufffdhren von repotools-Befehlen keine Best\ufffdtigung anfordern
rem  (d. h. immer noPrompt verwenden)
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind eine leere Zeichenfolge und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -overwrite
rem Syntax: -overwrite
rem Beschreibung:
rem 	Beim Ausf\ufffdhren von repotools-Befehlen die \ufffdberschreibung immer
rem  durchsetzen (d. h. immer overwrite=yes verwenden)
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind eine leere Zeichenfolge und 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Beim Ausf\ufffdhren von repotools-Befehlen keine Verifizierung anfordern
rem  (d. h. immer noVerify verwenden)
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind eine leere Zeichenfolge und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Bei Upgradeschritten keine Best\ufffdtigung anfordern
rem  (d. h. immer noPrompt verwenden)
rem Standardwert:
rem 	false
rem Einschr\ufffdnkungen:
rem  - Die einzigen g\ufffdltigen Werte sind 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Parameter: -jtsURL
rem Syntax: -jtsURL <\ufffdffentlicher URI von JTS>
rem Beschreibung:
rem 	\ufffdffentlicher URI von JTS
rem Standardwert:
rem 	<ohne>
rem Einschr\ufffdnkungen:
rem  - Nur bei einem Upgrade f\ufffdr RM akzeptiert
rem  - Nur bei einer verteilten Implementierung notwendig, bei der JTS in einer anderen Serverinstanz als RM ausgef\ufffdhrt wird
rem
set JTS_PUBLIC_URL=
